Bug 466394 - (pdf-renderer) Review Request: pdf-renderer - A 100% Java PDF renderer and viewer
Review Request: pdf-renderer - A 100% Java PDF renderer and viewer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: itext
  Show dependency treegraph
 
Reported: 2008-10-09 22:15 EDT by Orcan Ogetbil
Modified: 2008-10-12 23:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-12 23:40:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2008-10-09 22:15:29 EDT
Spec URL: http://oget.fedorapeople.org/review/pdf-renderer.spec
SRPM URL: http://oget.fedorapeople.org/review/pdf-renderer-0-1.20081005cvs.fc10.src.rpm
Description:
The PDF Renderer is just what the name implies: an open source,
all Java library which renders PDF documents to the screen using
Java2D. Typically this means drawing into a Swing panel, but it
could also draw to other Graphics2D implementations. It could be
used to draw on top of PDFs, share them over a network, convert
PDFs to PNG images, or maybe even project PDFs into a 3D scene.
----------------------------------------------------------------

Note:
rpmlint gives a false warning on the SRPM:
   pdf-renderer.src:99: W: libdir-macro-in-noarch-package %{_libdir}/gcj/%{name}
which can be ignored.
Comment 1 Orcan Ogetbil 2008-10-09 23:14:05 EDT
I know that the way I formulate the release number may not be the most ideal one. What is the best way of putting it?
Comment 2 Mamoru TASAKA 2008-10-10 09:36:08 EDT
Some comments:

* About versioning
  - Some maintaners use (and I recomment):
    0-0.X.<cvs related number>%{?dist}

* native2ascii
  - build.log shows:
-------------------------------------------------
    30  + find . -name '*.java' -exec native2ascii '{}' '{}' ';'
    31  find: `native2ascii'
    32  : Permission denied
    33  find: `native2ascii'
    34  : Permission denied
    35  find: `native2ascii'
....
-------------------------------------------------
    Can these messages be ignored?

* Font .pfb
  - Would you check how these fonts file (binaries) are
    used?
    * If these files can be removed, please remove these.
    * If these files are really used, please replace these
      with fonts which are system-widely provided.
      These fonts are all in urw-fonts (i.e. BR: urw-fonts is
      needed if these fonts are needed). BaseFonts.properties
      also needs fixing in this case.
      And as (rpm says) urw-fonts are under GPL+,
      the license tag of this package should be changed to
      "LGPLv2+ and GPL+".
Comment 3 Orcan Ogetbil 2008-10-10 16:37:15 EDT
Thank you,

* I made the release number 0-0.X.<cvs related number>%{?dist}

* There are only a few files that have encoding issues and those are getting fixed properly. Hence the native2ascii warnings can be ignored.

* .pfb files are removed. But since they are needed by the program I hacked the code to use the system-fonts. Now urw-fonts is Required and the license is "LGPLv2+ and GPL+".

The final version of files:

SPEC: http://oget.fedorapeople.org/review/pdf-renderer.spec
SRPM: http://oget.fedorapeople.org/review/pdf-renderer-0-0.2.20081005cvs.fc10.src.rpm
Comment 4 Mamoru TASAKA 2008-10-11 03:25:28 EDT
Okay. Now one issue and one question

* License
  - Since you completely removed .pfb files from tarball, the license can be
    simply "LGPLv2+".

? XXXX.length in BaseFonts.properties
  - One question is that BaseFonts.properties contains lines like the
    following:
------------------------------------------------------------------
Courier-Bold.length=120373
------------------------------------------------------------------
    However on my system n022004l.pfb has 101592 bytes.
    Can these difference of size be ignored?
    If not (i.e. size should also be fixed), the following sample scripts
    may be useful.
------------------------------------------------------------------
#!/bin/sh

INPUT=BaseFonts.properties
OUTPUT=BaseFonts.properties.1

FONTDIR=/usr/share/fonts/default/Type1

rm -f $OUTPUT
cat $INPUT | while read line
	do
	newline=$line
	if echo $newline | grep -q 'file=.*pfb'
		then
		pfbname=$(echo $newline | sed -e 's|^.*file=||')
		newline=$(echo $newline | sed -e "s|file=|file=${FONTDIR}/|")
	elif echo $newline | grep -q 'length='
		then
		size=$(ls -al ${FONTDIR}/$pfbname | awk '{print $5}')
		newline=$(echo $newline | sed -e "s|length=.*|length=$size|")
	fi
	echo $newline >> $OUTPUT
done
-------------------------------------------------------------------
   (When size needs fixing and you use this script, "BuildRequires: urw-fonts"
    is needed to examine the size of the installed fonts)
Comment 5 Orcan Ogetbil 2008-10-11 04:17:18 EDT
- I didn't think about the font sizes. I am not sure whether they are important, but for the sake of completeness I used your script to rewrite the BaseFonts.properties file, just in case... Thank you for the script.

- The license is set back to LGPLv2+. 

- Files updated:
SPEC: http://oget.fedorapeople.org/review/pdf-renderer.spec
SRPM:
http://oget.fedorapeople.org/review/pdf-renderer-0-0.3.20081005cvs.fc10.src.rpm
Comment 6 Mamoru TASAKA 2008-10-11 09:58:37 EDT
Okay.

--------------------------------------------------------------------------
        This package (pdf-renderer) is APPROVED by mtasaka
--------------------------------------------------------------------------
Comment 7 Orcan Ogetbil 2008-10-11 15:16:21 EDT
New Package CVS Request
=======================
Package Name: pdf-renderer
Short Description: A 100% Java PDF renderer and viewer
Owners: oget
Branches:
InitialCC:
Comment 8 Kevin Fenzi 2008-10-12 22:08:23 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.